Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# Character Class Reference
[Unicode core]

## Detailed Description

Character information class.

Basic features:
  - All Unicode information is generated into tables by scripts xcharsets.pl and xtables_gen.pl They are using UnicodeData.txt file and some codepage files, available from http://www.unicode.org/
  - Character class supports most Unicode character properties, except for Bidirectional char class, and Decomposition information. Most of these methods works like Java Character class methods.

Todo:
  - retrieving of bidirectional class information,
  - retrieving of character decomposition mappings (and normalization process information),
  - character 'Digit', 'Decimal Digit' properties. You can retrieve only 'Number' value property from digit characters.
  - No explicit surrogate characters support. Surrogate pairs are treated as distinct characters.

## Static Public Member Functions
static wchar | toLowerCase (wchar c)
static wchar | toUpperCase (wchar c)
static wchar | toTitleCase (wchar c)
static bool | isLowerCase (wchar c)
static bool | isUpperCase (wchar c)
static bool | isTitleCase (wchar c)
static bool | isLetter (wchar c)
static bool | isLetterOrDigit (wchar c)
static bool | isDigit (wchar c)
static bool | isAssigned (wchar c)
static bool | isSpaceChar (wchar c)
static bool | isWhitespace (wchar c)
static bool | isNumber (wchar c)
static bool | toNumericValue (wchar c, float *f)
static char * | getCategoryName (wchar c)
static ECharCategory | getCategory (wchar c)
static int | getCombiningClass (wchar c)
static bool | isMirrored (wchar c)
static int | sizeofTables ()

## Member Function Documentation

int Character::sizeofTables | ( |  | ) | `[static]`

| Deprecated: For debug purposes only.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:12 2006 by doxygen 1.4.6.